Bug 76096 - Boot hangs when IEEE 1394 FireWire cardbus adapter present
Boot hangs when IEEE 1394 FireWire cardbus adapter present
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 15:59 EDT by Phil Schaffner
Modified: 2007-04-18 12:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: FC1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 10:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Schaffner 2002-10-16 15:59:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
Boot process stops after starting pcmcia with Orange Micro OrangeLink FireWire
CardBus PC Card inserted.  Boot continues if card is ejected.
System is IBM Thinkpad A21p.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attempt to boot with FireWire card in machine.
2.
3.
	

Actual Results:  Hangs up until card is ejected.

Expected Results:  Normal boot.

Additional info:

Boot messages:

Starting keytable:                                         [  OK  ]
Initializing random number generator:                      [  OK  ]
Starting pcmcia:  Yenta IRQ list 06b8, PCI irq11
Socket status: 30000020
Yenta IRQ list 06b8, PCI irq11
Socket status: 30000006
PCI: Enabling device 02:00.0 (0000 -> 0002)
                                                           [  OK  ]
Mounting other filesystems:  ohci1394_0: Unrecoverable error, shutting down card!
ohci1394_0: Unrecoverable error, shutting down card!
...  numerous repeats ...
ohci1394_0: Unrecoverable error, shutting down card!
ohci1394_0: Runaway loop while stopping context...
ohci1394_0: Runaway loop while stopping context...
ohci1394_0: Unrecoverable error, shutting down card!
ohci1394_0: Unrecoverable error, shutting down card!
ohci1394_0: Unrecoverable error, shutting down card!
ohci1394_0: Runaway loop while stopping context...
ohci1394_0: Runaway loop while stopping context...
ohci1394_0: Runaway loop while stopping context...
ohci1394_0: Unrecoverable error, shutting down card!
ohci1394_0: Runaway loop while stopping context...
                                                           [  OK  ]
Starting up APM daemon:                                    [  OK  ]

Additional problem occurs if card is ejected/re-inserted after boot while in KDE
session.  X seems to still be active but keyboard is dead  - can't type in
shell, no response to ctrl-alt-backspace or ctrl-alt-del.  After stopping X
(mouse still works), can see console messages indicating an endless loop:

ohci1394_1: Unrecoverable error, shutting down card!

Continually repeats error - keyboard still dead. Finally hit power button after
several minutes.  Did not try to reproduce this symptom.
Comment 1 Norm Brake 2003-10-14 19:28:49 EDT
For what it's worth, I'm seeing the exact same symptoms on RHL9 on an IBM T30
and an SIIG firewire card.
Comment 2 Bernard Johnson 2003-10-16 17:25:03 EDT
I don't get log information as presented above, but my desktop system will not
boot (hangs at the same place in the boot sequence) if a firewire card is present.

I'm using a Adaptec AFW-4300 LP Universal Host Adapter, Rev: A.
Comment 3 Phil Schaffner 2004-05-11 10:51:22 EDT
Fixed somewhere along the line.

Note You need to log in before you can comment on or make changes to this bug.